GET
/api/v1/partners/xona/observationsPartners_ListXonaPartnerObservations
- Authentication
- service-bearer
- Cache policy
- private
- Success and errors
- 200, 400, 401, 403, 404, 409, 429, 500, 503
- Stability
- v1 stable contract
OpenAPI operation
{
"operationId": "Partners_ListXonaPartnerObservations",
"summary": "GET /api/v1/partners/xona/observations",
"tags": [
"Partners"
],
"parameters": [
{
"name": "cursor",
"in": "query",
"required": false,
"schema": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
}
},
{
"name": "limit",
"in": "query",
"required": false,
"schema": {
"default": 50,
"type": "integer",
"minimum": 1,
"maximum": 100
}
}
],
"security": [
{
"bearerAuth": []
}
],
"responses": {
"200": {
"description": "Success",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"data": {
"type": "array",
"items": {
"type": "object",
"properties": {
"publicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"externalEventId": {
"type": "string"
},
"externalAgentId": {
"type": "string"
},
"externalVersion": {
"type": "string"
},
"observedAt": {
"type": "string",
"format": "date-time",
"pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))T(?:(?:[01]\\d|2[0-3]):[0-5]\\d(?::[0-5]\\d(?:\\.\\d+)?)?(?:Z))$"
},
"partnerVerifiedAssertion": {
"type": "boolean"
},
"normalizedCapabilities": {
"type": "array",
"items": {}
},
"association": {
"anyOf": [
{
"type": "object",
"properties": {
"agentEntityPublicId": {
"type": "string",
"format": "uuid",
"pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
},
"method": {
"type": "string"
},
"confidencePpm": {
"type": "integer",
"minimum": -9007199254740991,
"maximum": 9007199254740991
},
"reviewState": {
"type": "string"
}
},
"required": [
"agentEntityPublicId",
"method",
"confidencePpm",
"reviewState"
],
"additionalProperties": false
},
{
"type": "null"
}
]
},
"recommendations": {
"type": "array",
"items": {
"type": "object",
"properties": {
"stableId": {
"type": "string"
},
"skillVersion": {
"type": "integer",
"exclusiveMinimum": 0,
"maximum": 9007199254740991
},
"name": {
"type": "string"
},
"scorePpm": {
"type": "integer",
"minimum": 0,
"maximum": 1000000
},
"reasonCodes": {
"type": "array",
"items": {
"type": "string"
}
},
"state": {
"type": "string"
}
},
"required": [
"stableId",
"skillVersion",
"name",
"scorePpm",
"reasonCodes",
"state"
],
"additionalProperties": false
}
}
},
"required": [
"publicId",
"externalEventId",
"externalAgentId",
"externalVersion",
"observedAt",
"partnerVerifiedAssertion",
"normalizedCapabilities",
"association",
"recommendations"
],
"additionalProperties": false
}
},
"nextCursor": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"meta": {
"type": "object",
"additionalProperties": true,
"required": [
"requestId",
"schemaVersion",
"buildVersion",
"generatedAt",
"freshness"
],
"properties": {
"requestId": {
"type": "string",
"format": "uuid"
},
"schemaVersion": {
"type": "string"
},
"buildVersion": {
"type": "string"
},
"generatedAt": {
"type": "string",
"format": "date-time"
},
"freshness": {
"type": "object",
"additionalProperties": false,
"required": [
"projectedAt",
"sourceWatermark"
],
"properties": {
"projectedAt": {
"type": [
"string",
"null"
],
"format": "date-time"
},
"sourceWatermark": {
"type": [
"string",
"null"
]
}
}
}
}
}
},
"required": [
"data",
"nextCursor",
"meta"
],
"additionalProperties": false
}
}
}
},
"400": {
"description": "invalid request",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"401": {
"description": "unauthenticated",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"403": {
"description": "forbidden",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"404": {
"description": "not found",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"409": {
"description": "conflict",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"429": {
"description": "rate limited",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"500": {
"description": "internal error",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
},
"503": {
"description": "dependency unavailable",
"content": {
"application/problem+json": {
"schema": {
"$ref": "#/components/schemas/ApiError"
}
}
}
}
},
"x-auth-mode": "service-bearer",
"x-cache-policy": "private",
"x-required-scopes": [
"partners:read"
],
"x-rate-cost": 1,
"x-stability": "STABLE"
}